Xerces2 Implementation: Class XMLDocumentScannerImpl.XMLDeclDispatcher

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl
Class XMLDocumentScannerImpl.XMLDeclDispatcher

    java.lang.Object
      |
      +--org.apache.xerces.impl.XMLDocumentScannerImpl.XMLDeclDispatcher

All Implemented Interfaces:
  XMLDocumentFragmentScannerImpl.Dispatcher

Enclosing class:
  XMLDocumentScannerImpl

protected final class XMLDocumentScannerImpl.XMLDeclDispatcher
extends java.lang.Object
implements XMLDocumentFragmentScannerImpl.Dispatcher

Dispatcher to handle XMLDecl scanning.

Author:
  Andy Clark, IBM

Constructor Summary
`protected` | `XMLDocumentScannerImpl.XMLDeclDispatcher()`

Method Summary
`boolean` | `dispatch(boolean complete)` Dispatch an XML "event".

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLDocumentScannerImpl.XMLDeclDispatcher

    protected XMLDocumentScannerImpl.XMLDeclDispatcher()

Method Detail

### dispatch

    public boolean dispatch(boolean complete)
                     throws java.io.IOException,
                            org.apache.xerces.xni.XNIException

  Dispatch an XML "event".
  Specified by:
    `dispatch` in interface `XMLDocumentFragmentScannerImpl.Dispatcher`
  Parameters:
    `complete` - True if this dispatcher is intended to scan and dispatch as much as possible.
  Returns:
    True if there is more to dispatch either from this or a another dispatcher.
  Throws:
    `java.io.IOException` - Thrown on i/o error.
    `org.apache.xerces.xni.XNIException` - Thrown on parse error.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2007 The Apache Software Foundation. All Rights Reserved.